Bug 974971 - please give greater control over use of EPEL
please give greater control over use of EPEL
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Magr
Depends On:
  Show dependency treegraph
Reported: 2013-06-17 05:47 EDT by Pádraig Brady
Modified: 2016-03-30 19:03 EDT (History)
5 users (show)

See Also:
Fixed In Version: openstack-packstack-2013.2.1-0.13.dev840.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-03-30 19:03:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 50586 None None None Never

  None (edit)
Description Pádraig Brady 2013-06-17 05:47:20 EDT
Currently packstack only give control over whether it _installs_ EPEL or not.
It seems like it would give more flexibility if controlled whether EPEL was _used_ or not. I.E. if it's already installed, then put in --disablerepo=epel* when needed.

This came up in the context of the RDO repos, where the normal case is that EPEL is used. Hence we might always install epel-release through rpm dependencies.
Therefore packstack would benefit from a mechanism to avoid EPEL in that case if required.
Comment 1 Pádraig Brady 2013-09-11 06:29:31 EDT
Conversely if EPEL is required it should be enabled if installed already.
Comment 2 Lon Hohberger 2013-10-31 14:07:24 EDT
I think the fix for this broke packstack in the case that EPEL isn't installed.
Comment 3 Maru Newby 2014-01-12 18:51:15 EST
I use a local mirror for epel and previously this worked fine with packstack so long as I configured use-epel=n.  Now, doing so disables my epel mirror and packstack will fail due to missing dependencies.  

What do you think of configuring a new epel repo only if necessary (e.g. yum repolist | grep epel)?
Comment 4 Martin Magr 2014-01-13 08:27:19 EST
Currently if use-epel=n then packstack makes sure EPEL is also disabled (yum-config-manager --disable epel). So the workaround for that would be to name your local mirror differently (eg. s/\[epel\]/\[whatever\]).
Comment 5 Maru Newby 2014-01-13 14:50:33 EST
Fair enough that there is a workaround, but is it really preferable for packstack to require the target system to have epel defined with a non-standard name instead of just working(tm)?
Comment 6 Martin Magr 2014-01-16 10:21:54 EST
The point of this change is that in case user will choose not to use EPEL, then Packstack should make sure it is not used (eg. disable it if it is installed).

Note You need to log in before you can comment on or make changes to this bug.